Package org.eclipse.cdt.utils.cdtvariables

# Interface IVariableContextInfo

public interface IVariableContextInfo
This interface represents the context information.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object otherInfo)`
`IVariableContextInfo`
`getNext()`
Returns context info for the next lower-precedence context
`ICdtVariableSupplier[]`
`getSuppliers()`
Returns suppliers to be used for this context

## Method Details

### getSuppliers

ICdtVariableSupplier[] getSuppliers()
Returns suppliers to be used for this context

Returns:
  IBuildMacroSupplier[]

### getNext

IVariableContextInfo getNext()
Returns context info for the next lower-precedence context

Returns:
  IMacroContextInfo

### equals

boolean equals(Object otherInfo)

Overrides:
  `equals` in class `Object`